---
title: Sanitizer
slug: Web/API/Sanitizer
tags:
  - HTML Sanitizer API
  - Interface
  - sanitize
---
<div>{{draft}}{{securecontext_header}}{{DefaultAPISidebar("HTML Sanitizer API")}}</div>

<p class="summary">The <strong><code>Sanitizer</code></strong> interface of the {{domxref('HTML Sanitizer API')}} allows developers to take untrusted strings of HTML, and sanitize them for safe insertion into a document’s DOM.</p>

<h2 id="Constructors">Constructors</h2>

<dl>
 <dt>{{domxref('Sanitizer.Sanitizer')}}</dt>
 <dd>Creates and returns a <code>Sanitizer</code> object.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref('Sanitizer.sanitizeToString()')}}</dt>
 <dd>Returns a sanitized {{jsxref('String')}} from an input, removing any offending elements or attributes.</dd>
 <dt>{{domxref('Sanitizer.sanitize()')}}</dt>
 <dd>Returns a sanitized {{domxref('DocumentFragment')}} from an input, removing any offending elements or attributes.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<p>This example shows the result of sanitizing a string using the {{domxref('Sanitizer.sanitizeToString()')}} method. Disallowed <code>script</code> and <code>blink</code> elements are removed from the input.</p>

<pre class="brush: js notranslate">// our input string to clean
const stringToClean = 'Some text &lt;b&gt;&lt;i&gt;with&lt;/i&gt;&lt;/b&gt; &lt;blink&gt;tags&lt;/blink&gt;, including a rogue script &lt;script&gt;alert(1)&lt;/script&gt; def.';

const result = new Sanitizer().sanitizeToString(stringToClean);
console.log(result);
// Logs: "Some text &lt;b&gt;&lt;i&gt;with&lt;/i&gt;&lt;/b&gt; &lt;blink&gt;tags&lt;/blink&gt;, including a rogue script def."
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML Sanitizer API','#sanitizer-api','sanitizer')}}</td>
   <td>{{Spec2('HTML Sanitizer API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Sanitizer")}}</p>
